Skip to main content

Wear OS (Android) Smartwatch App Help

Comments

8 comments

  • David Gerritsen

    Hi,
    I have a Samsung SM-R800 on a Samsung Galaxy S21 FE. both up to date but still no possibility to instal the app on my watch from the play store. My phone an tablet ar listed but not my watch. I dit clear the cach and deleted all app data before reinstalling bu it won't help. can someone please help me?

    1
  • Jacob Foley

    Hi Lachlan, the app says it is also incompatible with the Fossil Carlyle HR (running wear os 2.38)

    0
  • Lachlan M

    Hi David Gerritsen,

    I can see that the Samsung SM-R800 runs on Tizen OS, not Wear OS. Currently, the Android Pokit smartwatch app is compatible with Wear OS. We are looking to develop the smartwatch app on more OSs in the new year.

    0
  • David Gerritsen

    Do you know more about the other operating systems?

    0
  • Lachlan M

    Hi stock files, the Android smartwatch app should be compatible with Galaxy watch 5. Please try again to install the smartwatch app and let us know if you run into any issues with this.

    0
  • DIEGO FERNANDEZ NIETO
    Does it work with a xiaomi watch S1 active watch?
    0
  • Lachlan M

    Hi DIEGO FERNANDEZ NIETO, the Pokit smartwatch app is only compatible with Apple Watch and Android smartwatches that use WearOS.

    0
  • stock files

    why it is not compatible with galaxy watch 5? please update you wearos compatible list

    -1

Please sign in to leave a comment.

Powered by Zendesk